PHP Manual
Prev |  | Next

# ini_set

(PHP 4, PHP 5)

ini_set -- Sets the value of a configuration option

## Description

string ini_set ( string varname, string newvalue )

Sets the value of the given configuration option. The configuration option will keep this new value during the script's execution, and will be restored at the script's ending.

## Parameters

`varname`

  Not all the available options can be changed using ini_set(). There is a list of all available options in the appendix.

`newvalue`

  The new value for the option.

## Return Values

Returns the old value on success, `FALSE` on failure.

## See Also

get_cfg_var()
ini_get()
ini_get_all()
ini_restore()
How to change configuration settings

Prev | Home | Next
ini_restore | Up | main